Bug 81810 - Forward delete (Del) at the end of a Writer page behaves incorrectly when the start of the following page is a table
Summary: Forward delete (Del) at the end of a Writer page behaves incorrectly when the...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables Writer-Page-Break
  Show dependency treegraph
 
Reported: 2014-07-27 14:43 UTC by Matthew Francis
Modified: 2021-02-06 04:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2014-07-27 14:43:41 UTC
A forward delete (Del) at the very end of a page should always delete the following page break, but this does not occur when the following page begins with a table.

Steps to reproduce
1. Create a Writer document with the text "a<newline>" on the first page, and a table at the very start of the second page (with no blank paragraph before it)
2. Position the cursor on the newline at the end of the first page
3. Forward delete (Del)

Result
The newline on the first page is deleted as though a backward delete (Backspace) had been performed. The page break is not deleted


The forward delete (Del) should delete the following page break, rather than behave as backward delete (Backspace) and delete the newline at the end of the first page. If the second page begins with text, rather than a table, the page break is deleted as expected

If there is no newline on the first page, the forward delete doesn't delete anything, but moves the cursor forward into the table in the following page
Comment 1 Algot Runeman 2014-07-27 17:05:44 UTC
Test Setup:
Kubuntu 4.13.2
LibreOffice 4.2.4.2

The behavior occurs as described on my setup and is consistent.

Thank you for reporting the issue.
Comment 2 Matthew Francis 2014-07-30 14:17:19 UTC
Issue is still present in 4.3.0.4 release
Comment 3 QA Administrators 2015-09-04 02:48:53 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2016-09-20 10:28:30 UTC Comment hidden (obsolete)
Comment 5 Roman Kuznetsov 2019-02-06 16:15:15 UTC
still repro in

Version: 6.1.4.2
Build ID: 1:6.1.4-0ubuntu0.18.10.1
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: ru-RU (ru_RU.UTF-8); Calc: group threaded
Comment 6 QA Administrators 2021-02-06 04:08:33 UTC
Dear Matthew Francis,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug